# Custom Status Report
This module allows the customization of the Status Report page.
Hide information you don't need, or add status cards from other modules
to keep track of statuses all in one place.

## Add status card from your module
If you want to add your own status card to the Status Report page, add
the `hook_requirements()` function to your .module file like this:

```
function custom_status_report_requirements_alter(array &$requirements) {
    $module_path = \Drupal::service('extension.list.module')->getPath('custom_status_report');
    $requirements['custom_status_report'] = [
      'title' => 'Custom Status Report',
      'value' => t(' Custom Status Report installed. Configure what shows up here in the settings.<br>
        <a class="button button--primary button--small" href="/admin/config/system/custom-status-report">Settings</a>'),
      'severity' => REQUIREMENT_OK,
      'add_to_general_info' => TRUE,
      'module_icon' => '/' . $module_path . '/icons/task-list.png',
    ];
  return $requirements;
}
```
In order to have the information show in the **General System Information**
section as a card, make sure to include the `add_to_general_info => TRUE`
value to the `$requirements` array. The `module_icon` value is optional --
if you don't include it the default Drupal logo will be added automatically.
